import request from '@/utils/request'

// 查询优惠券发放记录列表
export function listStoreCouponUser(query) {
  return request({
    url: '/store/storeCouponUser/list',
    method: 'get',
    params: query
  })
}

// 查询优惠券发放记录详细
export function getStoreCouponUser(id) {
  return request({
    url: '/store/storeCouponUser/' + id,
    method: 'get'
  })
}

// 新增优惠券发放记录
export function addStoreCouponUser(data) {
  return request({
    url: '/store/storeCouponUser',
    method: 'post',
    data: data
  })
}

// 修改优惠券发放记录
export function updateStoreCouponUser(data) {
  return request({
    url: '/store/storeCouponUser',
    method: 'put',
    data: data
  })
}

// 删除优惠券发放记录
export function delStoreCouponUser(id) {
  return request({
    url: '/store/storeCouponUser/' + id,
    method: 'delete'
  })
}

// 导出优惠券发放记录
export function exportStoreCouponUser(query) {
  return request({
    url: '/store/storeCouponUser/export',
    method: 'get',
    params: query
  })
}